=== debian/changelog ===
gedit-valencia-plugin (0.3.0-1ubuntu1) natty; urgency=low

  * debian/control, debian/patches/01_valac_transition.patch:
    - Transition from libvala-dev -> libvala-0.10-dev and valac -> valac-0.10. (LP: #703615)
  * debian/control:
    - Build-Depends on libtool since it's required for autoconf.
  * debian/rules: Run autoreconf before building.

 -- Mahyuddin Susanto <udienz@gmail.com>  Wed, 19 Jan 2011 12:09:13 +0100

gedit-valencia-plugin (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #597660)

 -- David Paleino <dapal@debian.org>  Wed, 22 Sep 2010 00:50:45 +0200
