=== debian/control ===
Source: gedit-valencia-plugin
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: David Paleino <dapal@debian.org>
Build-Depends: debhelper (>= 8~)
 , gedit-dev
 , libvte-dev
 , libgee-dev
 , libvala-0.10-dev
 , valac-0.10
 , m4
 , libtool
Standards-Version: 3.9.1
Homepage: http://yorba.org/valencia/
Vcs-Git: git://git.debian.org/collab-maint/gedit-valencia-plugin.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gedit-valencia-plugin.git;a=summary

Package: gedit-valencia-plugin
Architecture: any
Depends: ${shlibs:Depends}
 , ${misc:Depends}
Description: Vala plugin for gedit
 Valencia is a gedit plugin that turns gedit into a lightweight IDE for Vala.
 Using Valencia, you can easily browse between symbols in a Vala program.  You
 can build a Vala program inside gedit and can easily jump to lines with
 build errors. You can also get tooltips for methods and get autocompletion
 suggestions by invoking autocomplete in the appropriate context.
