=== debian/changelog ===
gedit-valencia-plugin (0.4.0-0ubuntu3) saucy; urgency=low

  * Bump dh compat level to 9
  * Use dh-exec to update .install for multiarch directories
  * Drop unnecessary and obsolete debian/dirs

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 14 Jul 2013 01:08:58 -0400

gedit-valencia-plugin (0.4.0-0ubuntu2) saucy; urgency=low

  * debian/patches/build-against-gedit38.patch:
    - Patch from git to fix compatibility with gedit 3.8 
  * debian/control: Bump depends to vala-0.20 as needed for above patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 07 Jun 2013 19:18:37 -0400

gedit-valencia-plugin (0.4.0-0ubuntu1) raring; urgency=low

  * New upstream version, compatible with the current vala and gedit, 
    dropping patches for issues fixed in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 08 Apr 2013 22:42:40 +0200

gedit-valencia-plugin (0.3.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: GModule-2.0.gir:46.7-46.66: error: unknown child element
    `function' in `record'": apply patch from Ubuntu / Colin Watson:
    - Build with Vala 0.14 (LP: #831183).
    (Closes: #650228)

 -- gregor herrmann <gregoa@debian.org>  Mon, 20 Feb 2012 19:00:29 +0100

gedit-valencia-plugin (0.3.0-3) unstable; urgency=low

  * Fix package section, according to FTPMasters' override, from
    devel to utils
  * Backported gedit-3 support from upstream (Closes: #635122)
    (LP: #825763, #831183)
  * Fix debian/install file for the new gedit-3 paths

 -- David Paleino <dapal@debian.org>  Tue, 13 Sep 2011 15:24:05 +0200

gedit-valencia-plugin (0.3.0-2) unstable; urgency=low

  * Package moved to section devel
  * Port to vala-0.10 (01-fix_vala_dependencies.patch)
  * Bump dependencies to use vala-0.10

 -- David Paleino <dapal@debian.org>  Sat, 05 Mar 2011 10:12:45 +0100
