=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: David Paleino <dapal@debian.org>
-Build-Depends: debhelper (>= 8~)
- , gedit-dev
- , libvte-dev
+Build-Depends: debhelper (>= 9~)
+ , dh-exec (>=0.3)
+ , gedit-dev (>= 2.91.0)
+ , libvte-2.90-dev (>= 0.27.90)
+ , libpeas-dev
  , libgee-dev
- , libvala-0.10-dev
- , valac-0.10
+ , libvala-0.20-dev (>= 0.17.1)
+ , valac-0.20 (>= 0.20.1)
  , m4
- , libtool
 Standards-Version: 3.9.1
 Homepage: http://yorba.org/valencia/
 Vcs-Git: git://git.debian.org/collab-maint/gedit-valencia-plugin.git
