=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,3 @@
 
 override_dh_auto_install:
 	# do nothing
-
-pre-build::
-	autoreconf -f -i -v
