## gedit-valencia-plugin 0.8.0

=== debian/changelog ===
gedit-valencia-plugin (0.8.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * debian/control:
    - Bump build-depends on gedit-dev, libvala-0.24-dev, valac-0.24,
      libgee-0.8-dev
    - Add missing build-depends on libgtksourceview-3.0-dev
  * debian/watch:
    - Update to GNOME location (LP: #1251052)
  * debian/patches/build-against-gedit38.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 16 Jun 2015 10:30:06 +1200
