=== debian/control ===
--- 
+++ 
@@ -6,11 +6,13 @@
 Build-Depends: debhelper (>= 9~)
  , dh-exec (>=0.3)
  , gedit-dev (>= 2.91.0)
+ , gedit-dev (<= 3.10.5~)
  , libvte-2.90-dev (>= 0.27.90)
  , libpeas-dev
- , libgee-dev
- , libvala-0.20-dev (>= 0.17.1)
- , valac-0.20 (>= 0.20.1)
+ , libgee-0.8-dev
+ , libgtksourceview-3.0-dev (>= 3.0.0) 
+ , libvala-0.24-dev
+ , valac-0.24 (>= 0.20.1)
  , m4
 Standards-Version: 3.9.1
 Homepage: http://yorba.org/valencia/
