=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/valencia/([\d\.]+)/valencia-([\d\.]+)\.tar\.xz
